Package com.logicaldoc.core.security.user

# Class UserHistory

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.history.History
com.logicaldoc.core.security.user.UserHistory

All Implemented Interfaces:
  `Serializable`, `Comparable<History>`

@Entity public class UserHistory extends History
History entry due to an event on a user.

Since:
  5.0
Author:
  Matteo Caruso - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`UserHistory()`
`UserHistory(History source)`
`UserHistory(Session session)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getAuthor()`
`Long`
`getDocId()`
`UserEvent`
`getEventEnum()`
`String`
`getFilename()`
`Long`
`getFileSize()`
`Long`
`getFolderId()`
`int`
`hashCode()`
`void`
`setAuthor(String author)`
`void`
`setDocId(Long docId)`
`void`
`setEvent(UserEvent event)`
`void`
`setEvent(String event)`
Sets the event key
`void`
`setFilename(String filename)`
`void`
`setFileSize(Long fileSize)`
`void`
`setFolderId(Long folderId)`

### Methods inherited from class com.logicaldoc.core.history.History

`compareTo, eventTables, getComment, getDate, getDevice, getEvent, getFile, getGeolocation, getImpersonator, getIp, getKeyLabel, getOverwrite, getPath, getSessionId, getTenant, getUser, getUserId, getUserLogin, getUsername, isNotified, isNotifyEvent, setClient, setComment, setDate, setDevice, setFile, setGeolocation, setImpersonator, setIp, setKeyLabel, setNotified, setNotifyEvent, setOverwrite, setPath, setSession, setSessionId, setTenant, setUser, setUserId, setUserLogin, setUsername, toString`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserHistory

public UserHistory()

### UserHistory

public UserHistory(Session session)

### UserHistory

public UserHistory(History source)

## Method Details

### setEvent

public void setEvent(UserEvent event)

### setEvent

public void setEvent(String event)
Description copied from class: `History`
Sets the event key

Overrides:
  `setEvent` in class `History`
Parameters:
  `event` - key of the event

### getEventEnum

public UserEvent getEventEnum()

### getFolderId

public Long getFolderId()

### setFolderId

public void setFolderId(Long folderId)

### getAuthor

public String getAuthor()

### setAuthor

public void setAuthor(String author)

### getFilename

public String getFilename()

### setFilename

public void setFilename(String filename)

### getFileSize

public Long getFileSize()

### setFileSize

public void setFileSize(Long fileSize)

### getDocId

public Long getDocId()

### setDocId

public void setDocId(Long docId)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `History`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `History`